import { http } from '@/utils/http/axios';

/**
 * @description: 登录日志列表
 */
export function getLoginLogList(params?) {
  return http.request({
    url: '/login/log/page',
    method: 'GET',
    params,
  });
}
/**
 * @description: 根据ID获取详情
 */
export function getLoginLogDetail(id) {
  return http.request({
    url: '/login/log/detail/'+id,
    method: 'get',
  });
}
/**
 * @description: 删除登录日志
 */
export function loginLogDelete(id) {
  return http.request({
    url: '/login/log/delete/'+id,
    method: 'DELETE',
  });
}
/**
 * @description: 批量删除登录日志
 */
export function loginLogBatchDelete(data:any) {
  return http.request({
    url: '/login/log/batchDelete',
    method: 'DELETE',
    data
  });
}